欢迎光临
我们一直在努力

CVE-2020-17530:Apache Struts2 远程代码执行漏洞通告

 

0x01 漏洞简述

2020年12月08日,360CERT监测发现 struts2 发布了 struts2 代码执行漏洞 的风险通告,该漏洞编号为 CVE-2020-17530 ,漏洞等级: 高危 ,漏洞评分: 7.5 。

在特定的环境下,远程攻击者通过构造 恶意的OGNL表达式 ,可造成 任意代码执行 。

对此,360CERT建议广大用户及时将 struts2 升级到最新版本。与此同时,请做好资产自查以及预防工作,以免遭受黑客攻击。

 

0x02 风险等级

360CERT对该漏洞的评定结果如下

评定方式 等级
威胁等级 高危
影响面 一般
360CERT评分 7.5

 

0x03 漏洞详情

CVE-2020-17530: 代码执行漏洞

Apache Struts 2是一个用于开发Java EE网络应用程序的开源网页应用程序架构。它利用并延伸了Java Servlet API,鼓励开发者采用MVC架构。

如果开发人员使用了 %{…} 语法,那么攻击者可以通过构造恶意的 OGNL 表达式,引发 OGNL 表达式二次解析,最终造成远程代码执行的影响。

 

0x04 影响版本

– apache:struts2 : 2.0.0 – 2.5.25

 

0x05 修复建议

临时修补建议

升级到 Struts 2.5.26 版本,下载地址为:

Version Notes 2.5.26

 

0x06 相关空间测绘数据

360安全大脑-Quake网络空间测绘系统通过对全网资产测绘,发现 Struts 在 全球 均有广泛使用,具体分布如下图所示。

 

0x07 产品侧解决方案

360城市级网络安全监测服务

360CERT的安全分析人员利用360安全大脑的QUAKE资产测绘平台(quake.360.cn),通过资产测绘技术的方式,对该漏洞进行监测。可联系相关产品区域负责人或(quake#360.cn)获取对应产品。

 

0x08 时间线

2020-12-08 Apache官方发布通告

2020-12-08 360CERT发布通告

 

0x09 参考链接

Apache S2-061 官方通告

 

0x0a 特制报告下载链接

一直以来,360CERT对全球重要网络安全事件进行快速通报、应急响应。为更好地为政企用户提供最新漏洞以及信息安全事件的安全通告服务,现360CERT正式推出安全通告特制版报告,以便用户做资料留存、传阅研究与查询验证。 用户可直接通过以下链接进行特制报告的下载。

CVE-2020-17530: Apache Struts2 远程代码执行漏洞通告

若有订阅意向与定制需求请发送邮件至 g-cert-report#360.cn ,并附上您的 公司名、姓名、手机号、地区、邮箱地址。

赞(0) 打赏
未经允许不得转载:中国宏阔黑客联盟|白帽黑客|网络渗透技术|网站安全|移动安全|通信安全 » CVE-2020-17530:Apache Struts2 远程代码执行漏洞通告
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏